Bug 602920 - [abrt] virt-manager-0.8.4-3.el6: Process /usr/bin/python was killed by signal 6 (SIGABRT)
[abrt] virt-manager-0.8.4-3.el6: Process /usr/bin/python was killed by signal...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
abrt_hash:9901b28da75703b67121851c8c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 22:01 EDT by Jeff Burke
Modified: 2010-09-30 14:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-30 14:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2010-06-10 22:01:35 EDT
abrt version: 1.1.4
architecture: x86_64
cmdline: python /usr/share/virt-manager/virt-manager.py
component: virt-manager
executable: /usr/bin/python
global_uuid: 9901b28da75703b67121851c8c6e70b3db4aaa2f
kernel: 2.6.32-33.el6.x86_64
package: virt-manager-0.8.4-3.el6
rating: 0
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Red Hat Enterprise Linux Server release 6.0 Beta (Santiago)
Comment 2 RHEL Product and Program Management 2010-06-10 22:23:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Cole Robinson 2010-06-11 10:39:45 EDT
Here's the backtrace:

#0  0x0000003eddc329c5 in raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003eddc341a5 in abort () at abort.c:92
#2  0x0000003edd84335a in IA__g_logv (log_domain=0x3eec87ebb4 "Gdk", 
    log_level=<value optimized out>, format=0x3eec89ce47 "%s", args1=
    0x7fff3e574c70) at gmessages.c:549
#3  0x0000003edd8433f3 in IA__g_log (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>)
    at gmessages.c:569
#4  0x0000003eec868196 in gdk_x_error (display=<value optimized out>, 
    error=<value optimized out>) at gdkmain-x11.c:466
#5  0x0000003ee0c46b04 in _XError (dpy=0x2388c00, rep=0x38f9330)
    at XlibInt.c:3103
#6  0x0000003ee0c4cf1c in process_responses (dpy=0x2388c00, 
    wait_for_first_event=<value optimized out>, 
    current_error=<value optimized out>, current_request=368819)
    at xcb_io.c:207
#7  0x0000003ee0c4d5b0 in _XReply (dpy=0x2388c00, rep=0x7fff3e574fb0, extra=0, 
    discard=1) at xcb_io.c:457
#8  0x0000003ee0c429ed in XTranslateCoordinates (dpy=0x2388c00, src_win=
    18880042, dest_win=438, src_x=0, src_y=0, dst_x=0x7fff3e57503c, 
    dst_y=<value optimized out>, child=<value optimized out>) at TrCoords.c:53
#9  0x0000003eec872bb5 in gdk_window_x11_get_root_coords (window=
    0x35f3e20 [GdkWindow], x=0, y=0, root_x=0x7fff3e575138, root_y=
    0x7fff3e575134) at gdkwindow-x11.c:2814
#10 0x0000003eec83dbe7 in IA__gdk_window_get_origin (window=
    0x35f3e20 [GdkWindow], x=0x7fff3e575138, y=0x7fff3e575134)
    at gdkwindow.c:8020
#11 0x0000003eeb57777c in gtk_notebook_motion_notify (widget=
    0x3600240 [GtkNotebook], event=0x3967340) at gtknotebook.c:2993
#12 0x0000003eeb553eb3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x2ab3830, 
    return_value=0x7fff3e575330, n_param_values=<value optimized out>, 
    param_values=0x2e7a500, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
#13 0x0000003ee040bb3e in IA__g_closure_invoke (closure=0x2ab3830, 
    return_value=0x7fff3e575330, n_param_values=2, param_values=0x2e7a500, 
    invocation_hint=0x7fff3e5752f0) at gclosure.c:767
#14 0x0000003ee04209ed in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x3600240, emission_return=0x7fff3e575480, 
    instance_and_params=0x2e7a500) at gsignal.c:3285
#15 0x0000003ee0421f4a in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff3e5754e0) at gsignal.c:2990
#16 0x0000003ee04225f3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
#17 0x0000003eeb676b3f in gtk_widget_event_internal (widget=
    0x3600240 [GtkNotebook], event=0x3967340) at gtkwidget.c:4775
---Type <return> to continue, or q <return> to quit---
#18 0x0000003eeb54ac2a in IA__gtk_propagate_event (widget=
    0x3600240 [GtkNotebook], event=0x3967340) at gtkmain.c:2417
#19 0x0000003eeb54bd9c in IA__gtk_main_do_event (event=0x3967340)
    at gtkmain.c:1622
#20 0x0000003eec85fffc in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2372
#21 0x0000003edd838eee in g_main_dispatch (context=0x239e510) at gmain.c:1960
#22 IA__g_main_context_dispatch (context=0x239e510) at gmain.c:2513
#23 0x0000003edd83c918 in g_main_context_iterate (context=0x239e510, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2591
#24 0x0000003edd83cd35 in IA__g_main_loop_run (loop=0x1df0520) at gmain.c:2799
#25 0x0000003eeb54c287 in IA__gtk_main () at gtkmain.c:1218
#26 0x00007fdf96bba666 in _wrap_gtk_main (self=<value optimized out>)
    at ./gtk.override:1241
#27 0x0000003edf0dc744 in call_function (f=<value optimized out>, 
    throwflag=<value optimized out>) at Python/ceval.c:3690
#28 PyEval_EvalFrameEx (f=<value optimized out>, 
    throwflag=<value optimized out>) at Python/ceval.c:2389
#29 0x0000003edf0ddae1 in fast_function (f=<value optimized out>, 
    throwflag=<value optimized out>) at Python/ceval.c:3792
#30 call_function (f=<value optimized out>, throwflag=<value optimized out>)
    at Python/ceval.c:3727
#31 PyEval_EvalFrameEx (f=<value optimized out>, 
    throwflag=<value optimized out>) at Python/ceval.c:2389
#32 0x0000003edf0de3e5 in PyEval_EvalCodeEx (co=0x7fdf9ef6adc8, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=<value optimized out>, argcount=0, kws=<value optimized out>, kwcount=
    0, defs=0x0, defcount=0, closure=0x0) at Python/ceval.c:2968
#33 0x0000003edf0de4f2 in PyEval_EvalCode (co=<value optimized out>, 
    globals=<value optimized out>, locals=<value optimized out>)
    at Python/ceval.c:522
#34 0x0000003edf0f959c in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=
    {'glade_dir': '/usr/share/virt-manager', 'launch_specific_window': <function at remote 0x1fad578>, 'locale': <module at remote 0x1f005c8>, 'setup_pypath': <function at remote 0x1f8c7d0>, 'num': '3', 'GInitiallyUnowned': <GObjectMeta(__gtype__=<gobject.GType at remote 0x20cd438>, __doc__=<gobject.GObject.__doc__ at remote 0x7fdf9fa8d0d0>, __module__='gtk') at remote 0x2193630>, 'OptionValueError': <type at remote 0x1ffe5e0>, '_show_startup_error': <function at remote 0x1f85e60>, 'data_dir': '/usr/share', 'appname': 'virt-manager', 'setup_logging': <function at remote 0x1fad1b8>, 'gettext_dir': '/usr/share/locale', 'setup_glade_i18n': <function at remote 0x1f8cb18>, 'asset_dir': '/usr/share/virt-manager', 'gettext': <module at remote 0x1f0c638>, '__package__': None, 'drop_tty': <function at remote 0x1f930c8>, 'icon_dir': '/usr/share/virt-manager/pixmaps', 'main': <function at remote 0x200c320>, '__doc__': None, 'gettext_app': 'virt-manager', 'virtinst_version': (0, 500, 3), 'show_engine': <function at remote 0x...(truncated), locals=
---Type <return> to continue, or q <return> to quit---
    {'glade_dir': '/usr/share/virt-manager', 'launch_specific_window': <function at remote 0x1fad578>, 'locale': <module at remote 0x1f005c8>, 'setup_pypath': <function at remote 0x1f8c7d0>, 'num': '3', 'GInitiallyUnowned': <GObjectMeta(__gtype__=<gobject.GType at remote 0x20cd438>, __doc__=<gobject.GObject.__doc__ at remote 0x7fdf9fa8d0d0>, __module__='gtk') at remote 0x2193630>, 'OptionValueError': <type at remote 0x1ffe5e0>, '_show_startup_error': <function at remote 0x1f85e60>, 'data_dir': '/usr/share', 'appname': 'virt-manager', 'setup_logging': <function at remote 0x1fad1b8>, 'gettext_dir': '/usr/share/locale', 'setup_glade_i18n': <function at remote 0x1f8cb18>, 'asset_dir': '/usr/share/virt-manager', 'gettext': <module at remote 0x1f0c638>, '__package__': None, 'drop_tty': <function at remote 0x1f930c8>, 'icon_dir': '/usr/share/virt-manager/pixmaps', 'main': <function at remote 0x200c320>, '__doc__': None, 'gettext_app': 'virt-manager', 'virtinst_version': (0, 500, 3), 'show_engine': <function at remote 0x...(truncated), flags=<value optimized out>, arena=<value optimized out>)
    at Python/pythonrun.c:1335
#35 0x0000003edf0f9670 in PyRun_FileExFlags (fp=0x1e95c10, filename=
    0x7fff3e5777f6 "/usr/share/virt-manager/virt-manager.py", 
    start=<value optimized out>, globals=
    {'glade_dir': '/usr/share/virt-manager', 'launch_specific_window': <function at remote 0x1fad578>, 'locale': <module at remote 0x1f005c8>, 'setup_pypath': <function at remote 0x1f8c7d0>, 'num': '3', 'GInitiallyUnowned': <GObjectMeta(__gtype__=<gobject.GType at remote 0x20cd438>, __doc__=<gobject.GObject.__doc__ at remote 0x7fdf9fa8d0d0>, __module__='gtk') at remote 0x2193630>, 'OptionValueError': <type at remote 0x1ffe5e0>, '_show_startup_error': <function at remote 0x1f85e60>, 'data_dir': '/usr/share', 'appname': 'virt-manager', 'setup_logging': <function at remote 0x1fad1b8>, 'gettext_dir': '/usr/share/locale', 'setup_glade_i18n': <function at remote 0x1f8cb18>, 'asset_dir': '/usr/share/virt-manager', 'gettext': <module at remote 0x1f0c638>, '__package__': None, 'drop_tty': <function at remote 0x1f930c8>, 'icon_dir': '/usr/share/virt-manager/pixmaps', 'main': <function at remote 0x200c320>, '__doc__': None, 'gettext_app': 'virt-manager', 'virtinst_version': (0, 500, 3), 'show_engine': <function at remote 0x...(truncated), locals=
    {'glade_dir': '/usr/share/virt-manager', 'launch_specific_window': <function at remote 0x1fad578>, 'locale': <module at remote 0x1f005c8>, 'setup_pypath': <function at remote 0x1f8c7d0>, 'num': '3', 'GInitiallyUnowned': <GObjectMeta(__gtype__=<gobject.GType at remote 0x20cd438>, __doc__=<gobject.GObject.__doc__ at remote 0x7fdf9fa8d0d0>, __module__='gtk') at remote 0x2193630>, 'OptionValueError': <type at remote 0x1ffe5e0>, '_show_startup_error': <function at remote 0x1f85e60>, 'data_dir': '/usr/share', 'appname': 'virt-manager', 'setup_logging': <function at remote 0x1fad1b8>, 'gettext_dir': '/usr/share/locale', 'setup_glade_i18n': <function at remote 0x1f8cb18>, 'asset_dir': '/usr/share/virt-manager', 'gettext': <module at remote 0x1f0c638>, '__package__': None, 'drop_tty': <function at remote 0x1f930c8>, 'icon_dir': '/usr/share/virt-manager/pixmaps', 'main': <function at remote 0x200c320>, '__doc__': None, 'gettext_app': 'virt-manager', 'virtinst_version': (0, 500, 3), 'show_engine': <function at remote 0x...(truncated), closeit=1, flags=0x7fff3e575e10) at Python/pythonrun.c:1321
#36 0x0000003edf0faa4c in PyRun_SimpleFileExFlags (fp=0x1e95c10, filename=
    0x7fff3e5777f6 "/usr/share/virt-manager/virt-manager.py", closeit=1, flags=
---Type <return> to continue, or q <return> to quit---
    0x7fff3e575e10) at Python/pythonrun.c:931
#37 0x0000003edf10736d in Py_Main (argc=<value optimized out>, 
    argv=<value optimized out>) at Modules/main.c:599
#38 0x0000003eddc1ec5d in __libc_start_main (main=0x400710 <main>, argc=2, 
    ubp_av=0x7fff3e575f38, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=
    0x7fff3e575f28) at libc-start.c:226
#39 0x0000000000400649 in _start ()
Comment 4 RHEL Product and Program Management 2010-07-15 10:55:36 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Note You need to log in before you can comment on or make changes to this bug.